package it.sw.pa.comune.artegna.domain;

import static it.sw.pa.comune.artegna.domain.ConfermaTestSamples.*;
import static it.sw.pa.comune.artegna.domain.PrenotazioneTestSamples.*;
import static it.sw.pa.comune.artegna.domain.UtenteAppTestSamples.*;
import static org.assertj.core.api.Assertions.assertThat;

import it.sw.pa.comune.artegna.web.rest.TestUtil;
import org.junit.jupiter.api.Test;

class ConfermaTest {

    @Test
    void equalsVerifier() throws Exception {
        TestUtil.equalsVerifier(Conferma.class);
        Conferma conferma1 = getConfermaSample1();
        Conferma conferma2 = new Conferma();
        assertThat(conferma1).isNotEqualTo(conferma2);

        conferma2.setId(conferma1.getId());
        assertThat(conferma1).isEqualTo(conferma2);

        conferma2 = getConfermaSample2();
        assertThat(conferma1).isNotEqualTo(conferma2);
    }

    @Test
    void confermataDaTest() {
        Conferma conferma = getConfermaRandomSampleGenerator();
        UtenteApp utenteAppBack = getUtenteAppRandomSampleGenerator();

        conferma.setConfermataDa(utenteAppBack);
        assertThat(conferma.getConfermataDa()).isEqualTo(utenteAppBack);

        conferma.confermataDa(null);
        assertThat(conferma.getConfermataDa()).isNull();
    }

    @Test
    void prenotazioneTest() {
        Conferma conferma = getConfermaRandomSampleGenerator();
        Prenotazione prenotazioneBack = getPrenotazioneRandomSampleGenerator();

        conferma.setPrenotazione(prenotazioneBack);
        assertThat(conferma.getPrenotazione()).isEqualTo(prenotazioneBack);
        assertThat(prenotazioneBack.getConferma()).isEqualTo(conferma);

        conferma.prenotazione(null);
        assertThat(conferma.getPrenotazione()).isNull();
        assertThat(prenotazioneBack.getConferma()).isNull();
    }
}
